# VNode factories for SVG elements

```ts
function a(className?: string): VNode<SVGElementProps | null, SVGAElement>;
function altGlyph(className?: string): VNode<SVGElementProps | null, SVGElement>;
function altGlyphDef(className?: string): VNode<SVGElementProps | null, SVGElement>;
function altGlyphItem(className?: string): VNode<SVGElementProps | null, SVGElement>;
function animate(className?: string): VNode<SVGElementProps | null, SVGElement>;
function animateColor(className?: string): VNode<SVGElementProps | null, SVGElement>;
function animateMotion(className?: string): VNode<SVGElementProps | null, SVGElement>;
function animateTransform(className?: string): VNode<SVGElementProps | null, SVGElement>;
function circle(className?: string): VNode<SVGCircleElementProps | null, SVGCircleElement>;
function clipPath(className?: string): VNode<SVGClipPathElementProps | null, SVGClipPathElement>;
function colorProfile(className?: string): VNode<SVGElementProps | null, SVGElement>;
function cursor(className?: string): VNode<SVGElementProps | null, SVGElement>;
function defs(className?: string): VNode<SVGDefsElementProps | null, SVGDefsElement>;
function desc(className?: string): VNode<SVGDescElementProps | null, SVGDescElement>;
function discard(className?: string): VNode<SVGElementProps | null, SVGElement>;
function ellipse(className?: string): VNode<SVGEllipseElementProps | null, SVGEllipseElement>;
function feBlend(className?: string): VNode<SVGFEBlendElementProps | null, SVGFEBlendElement>;
function feColorMatrix(className?: string): VNode<SVGFEColorMatrixElementProps | null, SVGFEColorMatrixElement>;
function feComponentTransfer(className?: string): VNode<SVGFEComponentTransferElementProps | null, SVGFEComponentTransferElement>;
function feComposite(className?: string): VNode<SVGFECompositeElementProps | null, SVGFECompositeElement>;
function feConvolveMatrix(className?: string): VNode<SVGFEConvolveMatrixElementProps | null, SVGFEConvolveMatrixElement>;
function feDiffuseLighting(className?: string): VNode<SVGFEDiffuseLightingElementProps | null, SVGFEDiffuseLightingElement>;
function feDisplacementMap(className?: string): VNode<SVGFEDisplacementMapElementProps | null, SVGFEDisplacementMapElement>;
function feDistantLight(className?: string): VNode<SVGFEDistantLightElementProps | null, SVGFEDistantLightElement>;
function feDropShadow(className?: string): VNode<SVGFEDisplacementMapElementProps | null, SVGFEDisplacementMapElement>;
function feFlood(className?: string): VNode<SVGFEFloodElementProps | null, SVGFEFloodElement>;
function feFuncA(className?: string): VNode<SVGFEFuncAElementProps | null, SVGFEFuncAElement>;
function feFuncB(className?: string): VNode<SVGFEFuncBElementProps | null, SVGFEFuncBElement>;
function feFuncG(className?: string): VNode<SVGFEFuncGElementProps | null, SVGFEFuncGElement>;
function feFuncR(className?: string): VNode<SVGFEFuncRElementProps | null, SVGFEFuncRElement>;
function feGaussianBlur(className?: string): VNode<SVGFEGaussianBlurElementProps | null, SVGFEGaussianBlurElement>;
function feImage(className?: string): VNode<SVGFEImageElementProps | null, SVGFEImageElement>;
function feMerge(className?: string): VNode<SVGFEMergeElementProps | null, SVGFEMergeElement>;
function feMergeNode(className?: string): VNode<SVGFEMergeNodeElementProps | null, SVGFEMergeNodeElement>;
function feMorphology(className?: string): VNode<SVGFEMorphologyElementProps | null, SVGFEMorphologyElement>;
function feOffset(className?: string): VNode<SVGFEOffsetElementProps | null, SVGFEOffsetElement>;
function fePointLight(className?: string): VNode<SVGFEPointLightElementProps | null, SVGFEPointLightElement>;
function feSpecularLighting(className?: string): VNode<SVGFESpecularLightingElementProps | null, SVGFESpecularLightingElement>;
function feSpotLight(className?: string): VNode<SVGFESpotLightElementProps | null, SVGFESpotLightElement>;
function feTile(className?: string): VNode<SVGFETileElementProps | null, SVGFETileElement>;
function feTurbulence(className?: string): VNode<SVGFETurbulenceElementProps | null, SVGFETurbulenceElement>;
function filter(className?: string): VNode<SVGFilterElementProps | null, SVGFilterElement>;
function font(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function fontFace(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function fontFaceFormat(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function fontFaceName(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function fontFaceSrc(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function fontFaceUri(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function foreignObject(className?: string): VNode<SVGForeignObjectElementProps | null, SVGForeignObjectElement>;
function g(className?: string): VNode<SVGGElementProps | null, SVGGElement>;
function glyph(className?: string): VNode<SVGElementProps | null, SVGElement>;
function glyphRef(className?: string): VNode<SVGElementProps | null, SVGElement>;
function hatch(className?: string): VNode<SVGElementProps | null, SVGElement>;
function hatchpath(className?: string): VNode<SVGElementProps | null, SVGElement>;
function hkern(className?: string): VNode<SVGElementProps | null, SVGFETurbulenceElement>;
function image(className?: string): VNode<SVGImageElementProps | null, SVGImageElement>;
function line(className?: string): VNode<SVGLineElementProps | null, SVGLineElement>;
function linearGradient(className?: string): VNode<SVGLinearGradientElementProps | null, SVGLinearGradientElement>;
function marker(className?: string): VNode<SVGMarkerElementProps | null, SVGMarkerElement>;
function mask(className?: string): VNode<SVGMaskElementProps | null, SVGMaskElement>;
function mesh(className?: string): VNode<SVGElementProps | null, SVGElement>;
function meshgradient(className?: string): VNode<SVGElementProps | null, SVGLinearGradientElement>;
function meshpatch(className?: string): VNode<SVGElementProps | null, SVGElement>;
function meshrow(className?: string): VNode<SVGElementProps | null, SVGElement>;
function metadata(className?: string): VNode<SVGMetadataElementProps | null, SVGMetadataElement>;
function missingGlyph(className?: string): VNode<SVGElementProps | null, SVGElement>;
function mpath(className?: string): VNode<SVGElementProps | null, SVGElement>;
function path(className?: string): VNode<SVGPathElementProps | null, SVGPathElement>;
function pattern(className?: string): VNode<SVGPatternElementProps | null, SVGPatternElement>;
function polygon(className?: string): VNode<SVGPolygonElementProps | null, SVGPolygonElement>;
function polyline(className?: string): VNode<SVGPolylineElementProps | null, SVGPolylineElement>;
function radialGradient(className?: string): VNode<SVGRadialGradientElementProps | null, SVGRadialGradientElement>;
function rect(className?: string): VNode<SVGRectElementProps | null, SVGRectElement>;
function set(className?: string): VNode<SVGElementProps | null, SVGElement>;
function solidcolor(className?: string): VNode<SVGElementProps | null, SVGElement>;
function stop(className?: string): VNode<SVGStopElementProps | null, SVGStopElement>;
function svg(className?: string): VNode<SVGSVGElementProps | null, SVGSVGElement>;
function svgSwitch(className?: string): VNode<SVGElementProps | null, SVGSwitchElement>;
function symbol(className?: string): VNode<SVGSymbolElementProps | null, SVGSymbolElement>;
function text(className?: string): VNode<SVGTextElementProps | null, SVGTextElement>;
function textPath(className?: string): VNode<SVGTextPathElementProps | null, SVGTextPathElement>;
function title(className?: string): VNode<SVGElementProps | null, SVGTitleElement>;
function tref(className?: string): VNode<SVGElementProps | null, SVGElement>;
function tspan(className?: string): VNode<SVGTSpanElementProps | null, SVGTSpanElement>;
function use(className?: string): VNode<SVGUseElementProps | null, SVGUseElement>;
function view(className?: string): VNode<SVGViewElementProps | null, SVGViewElement>;
function vkern(className?: string): VNode<SVGElementProps | null, SVGElement>;
```
